Bug 190875 - Game engine crashes in 2.41
Game engine crashes in 2.41
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: blender (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-05 16:43 EDT by Oskar Signell
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-23 13:08:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oskar Signell 2006-05-05 16:43:38 EDT
Description of problem:
When starting the game engine, the program exits with a segmentation fault.

Version-Release number of selected component (if applicable):
blender-2.41-3.fc5

How reproducible:
Always

Steps to Reproduce:
1. Start Blender
2. Press 'P' to start game engine
  
Actual results: Crash
Expected results: The game engine should start

Additional info:
The same problem (I think) is also being investigated/discussed here:
http://projects.blender.org/tracker/index.php?func=detail&aid=3813&group_id=9&atid=125

For me, both the dynamic and the static builds on blender3d.org show the same
behavior.

I'm using Nvidia's binary GFX drivers.
Comment 1 Oskar Signell 2006-05-05 16:59:48 EDT
GDB crash trace:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 46912496302416 (LWP 9018)]
0x00000031d402a3c6 in ?? ()
(gdb) bt
#0  0x00000031d402a3c6 in ?? ()
#1  0x00000000008e7d2e in bgl::QueryVersion ()
#2  0x00000000008e8364 in bgl::InitExtensions ()
#3  0x000000000087fca8 in StartKetsjiShell ()
#4  0x0000000000594d84 in start_game ()
#5  0x00000000005156db in screenmain ()
#6  0x00000000004e59b4 in main ()
Comment 2 Jochen Schmitt 2006-07-18 09:56:06 EDT
Hello, 

in the last day blender 2.42 was released. The rpm which I have createdd on this
version didn't show the descibed problem.

The package blender-2.42-3 should be availalber on the next days.
Comment 3 Oskar Signell 2006-07-23 09:14:35 EDT
After updating to blender-2.42-4.fc5.x86_64.rpm the game enginge works.

Note You need to log in before you can comment on or make changes to this bug.